"""
Unsticks the reingestion queue by sending failure completions on running reingestions.
"""

from pyat.events import events
from pyat.schema import create_session
from pyat.schema.model import AlmaReingestionQueue

def main():
    session = create_session('SDM')
    running = session.query(AlmaReingestionQueue).filter_by(state = 'RUNNING').all()
    for queue_item in running:
        events.broadcast('ALMA reingestion complete',
                         application='alma-reingester',
                         routing_key='ingestion-complete.metadata',
                         logData={'successful': False,
                                  'asdmUid': queue_item.asdm_uid})

if __name__ == '__main__':
    main()
