from sqlalchemy import text

from pyat.schema import create_session
from pyat.schema.pstmodel import Proposal, Author, UserAuthentication, Person

session = create_session('PST')


def getproposal(proposalcode):
    proposal = session.query(Proposal). \
        filter(text("PROP_ID like :proposalcode or LEGACY_ID like :proposalcode")). \
        params(proposalcode='%' + proposalcode + '%').\
        first()
    session.close()
    return proposal


def getauthors(proposalcode):
    authors = session.query(Author). \
        join(Proposal, Author.proposal_id == Proposal.proposal_id). \
        join(UserAuthentication, Author.user_id==UserAuthentication.userAuthentication_id). \
        filter(text("PROP_ID like :proposalcode or LEGACY_ID like :proposalcode")). \
        params(proposalcode='%' + proposalcode + '%'). \
        all()

    session.close()
    return authors

def getpstuser(globalid):
    user = session.query(Person).\
        filter(text("person_id=:personid")). \
        params(personid=globalid).\
        one()

    return user

def ispi(author):
    if author.proposal.principal_investigator_id == author.author_id:
        return True
    else:
        return False

